package filegateway

import (
	"os"
	"testing"
)

func TestSFtpFilesystem(t *testing.T) {
	var host, port string
	if IsInCI() {
		host = os.Getenv("SSHD_PORT_22_TCP_ADDR")
		port = os.Getenv("SSHD_PORT_22_TCP_PORT")
	} else {
		var err error
		port, err = dockerComposePort("scp", "22")
		if err != nil {
			t.Fatal(err)
		}
		host = "localhost"
	}

	if err := pingScpServer(t, host+":"+port)(); err != nil {
		t.Fatal(err)
	}

	FilesystemTestSuite(t, sftpFilesystemFactory, FilesystemOptions{
		Host:     host,
		Port:     port,
		Username: "root",
		Custom: CustomOptions{
			"host-pubkey": hostPubkey,
			"private-key": privateKey,
		},
	})

}
