package stdlib

import (
	"encoding/json"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestFileLocation(t *testing.T) {
	var fl FileLocation
	assert.Nil(t, json.Unmarshal([]byte(
		`{"type":"loctype","arg1":"value1","arg2":5}`,
	), &fl))
	assert.Equal(t, "loctype", fl.Type)
	assert.Equal(t, nil, fl.Args["type"])
	assert.Equal(t, "value1", fl.Args["arg1"])
	assert.Equal(t, float64(5), fl.Args["arg2"])

	data, err := json.Marshal(fl)
	assert.Nil(t, err)
	var d map[string]interface{}
	assert.Nil(t, json.Unmarshal(data, &d))
	assert.Equal(t, map[string]interface{}{
		"type": "loctype",
		"arg1": "value1",
		"arg2": float64(5),
	}, d)
}
